Managed Account Data
Entity lists, spend stats, and timeseries for MSP managed accounts
Account id of the msp account
List of all possible Fields
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns entity list for given child account and entity
GET /managed-account-data/entity-values HTTP/1.1
Host: app.harness.io
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account id of the msp account
Unique identifier for the managed account
Start time of the period
End time of the period
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns timeseries data for the managed account
GET /managed-account-data/timeseries?managedAccountId=text&startTime=1&endTime=1 HTTP/1.1
Host: app.harness.io
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account id of the msp account
Unique identifier for the managed account
Start time of the period
End time of the period
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns spend stats for MSP managed accounts
GET /managed-account-data/stats?managedAccountId=text&startTime=1&endTime=1 HTTP/1.1
Host: app.harness.io
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?